# Class PatientAppointmentResourceGroup

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a resource group that aggregates data and operations related to patient appointments.

    public class PatientAppointmentResourceGroup

Inheritance
  object
  PatientAppointmentResourceGroup

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class serves as a container or grouping mechanism for resources associated with managing patient appointment information.

## Properties

### Locations

    public List<PatientLocation>? Locations { get; set; }

#### Property Value

List<PatientLocation>

### LocationsActions

    public List<PatientLocationAction>? LocationsActions { get; set; }

#### Property Value

List<PatientLocationAction>

### Personnel

    public List<PersonResource>? Personnel { get; set; }

#### Property Value

List<PersonResource>

### PersonnelActions

    public List<PersonResourceAction>? PersonnelActions { get; set; }

#### Property Value

List<PersonResourceAction>

### Resources

    public List<Code>? Resources { get; set; }

#### Property Value

List<Code>

### ResourcesActions

    public List<CodeAction>? ResourcesActions { get; set; }

#### Property Value

List<CodeAction>

### Services

    public List<Code>? Services { get; set; }

#### Property Value

List<Code>

### ServicesActions

    public List<CodeAction>? ServicesActions { get; set; }

#### Property Value

List<CodeAction>